Bug 1259279 - [RFE] Filter hidden files from listings of storage domains
[RFE] Filter hidden files from listings of storage domains
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
---
Unspecified Unspecified
low Severity low (vote)
: ---
: ---
Assigned To: Rob Young
Gil Klein
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 06:52 EDT by jniederm
Modified: 2018-03-05 10:01 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michal.skrivanek: ovirt‑future?
ylavi: planning_ack?
ylavi: devel_ack?
ylavi: testing_ack?


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45645 master ABANDONED storage: Hidden files filtered form listings of storage domains Never

  None (edit)
Description jniederm 2015-09-02 06:52:53 EDT
Description of problem:
Storage domains (especially the ISO one) may contain various auxiliary hidden files (like '.keep') that are not important from the engine point of view and make it difficult for users for find relevant files.

Version-Release number of selected component (if applicable):
4.0 master, commit c51fc13

How reproducible:
100%

Steps to Reproduce:
1. Create an ISO domain and attach it to DC
2. Create '.keep' file in the iso comain
In WebAdmin:
4. Open Storage main tab
5. Select the ISO domain
6. Select the Images subtab
7. Click refresh button

Actual results:
The list contains '.keep' file

Expected results:
The list doesn't contain any hidden files
Comment 1 Nir Soffer 2015-09-02 11:19:40 EDT
Vdsm is not the right place to filter the dot files. Vdsm is not a user level tool but a helper for engine, and it should not implement such policy. The right place to filter these files is in the engine.

Moving this bug to engine for consideration.
Comment 2 Michal Skrivanek 2015-09-21 07:59:28 EDT
not urgent, postponing

best would be to have a VdcOption with a mask, something like "*initrd*,vmlinu*,*mage"
Comment 3 Red Hat Bugzilla Rules Engine 2015-10-19 06:49:57 EDT
Target release should be placed once a package build is known to fix a issue. Since this bug is not modified, the target version has been reset. Please use target milestone to plan a fix for a oVirt release.

Note You need to log in before you can comment on or make changes to this bug.